/**
Simple contrôleur pour copier du texte dans le presse papier en cliquant
simplement sur un bouton

Cf la macro twig `clipboard`
**/

import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
    static targets = [ "source" ]
    copy() {
        navigator.clipboard.writeText(this.sourceTarget.value)
    }
}
